Package: groovy.org.codenarc.tool

## [Groovy] Class GenerateUtil

- groovy.org.codenarc.tool.GenerateUtil

- Contains static utility methods related to the Generate* tools.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static List` | `createSortedListOfAllRules()`
    `` | `static Properties` | `getRuleExtraInformation()`
    `` | `static List` | `sortRules(List rules)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static List createSortedListOfAllRules()

    - #### static Properties getRuleExtraInformation()

    - #### static List sortRules(List rules)